### Function

# Vte query_termprop

since: 0.78

#### Declaration [src]

    gboolean
    vte_query_termprop (
      const char* name,
      const char** resolved_name,
      int* prop,
      VtePropertyType* type,
      VtePropertyFlags* flags
    )

#### Description [src]

Gets the property type of the termprop. For properties installed by vte_install_termprop(), the name starts with “vte.ext.”.

For an alias termprop (see vte_install_termprop_alias()), `resolved_name` will be name of the alias’ target termprop; otherwise it will be `name`.

Available since: 0.78

#### Parameters

`name`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`resolved_name`

  Type: `const char**`

  A location to store the termprop’s name.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the function.
  The value is a NUL terminated UTF-8 string.

`prop`

  Type: `int*`

  A location to store the termprop’s ID.

  The argument will be set by the function.
  The argument can be `NULL`.

`type`

  Type: `VtePropertyType`

  A location to store the termprop’s type as a `VtePropertyType`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`flags`

  Type: `VtePropertyFlags`

  A location to store the termprop’s flags as a `VtePropertyFlags`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` iff the termprop exists, and then `prop`, `type` and `flags` will be filled in.